body {
    border: 0;
    margin: 0;
    padding: 0;
    height: 100vh;
    width: 100vw;
    font-family: Arial, Helvetica, sans-serif;
}

#canvas-container0 {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    background: #808080;
}

canvas {
    width: 100%;
    height: 99%;
}

#description {
    position: absolute;
    top: 2%;
    right: 2%;
    padding: 1rem 1rem 2rem;
    border: 1px dotted white;
    border-radius: 1rem;
    background: rgba(128, 128, 128, .2);
    color: yellow;
    font-family: 'Courier New', Courier, monospace;
    font-weight: 600;
    transition-property: width, height, color, border-color;
    transition-duration: 500ms;
    transition-timing-function: ease;
    overflow: hidden;
}

#description hr {
    width: 75%;
    height: 0;
    border: 1px dashed white;
    margin: 1rem 0 1rem;
}

#menuactivator {
    position: absolute;
    color: yellow;
    top: 3%;
    right: 3%;
    margin: 0;
    padding: 6px;
    border: 2px solid;
    font-size: large;
    z-index: 9;
}

#menuactivator:hover {
    cursor: pointer;
    background: rgba(128,128,128,.5);
}


footer {
    text-align: right;
    font-size: small;
    position: absolute;
    bottom: 2%;
    right: 2%;
    background: rgba(0, 0, 0, 0);
    color: blueviolet;
    font-weight: 600;
}

footer a {
    text-decoration: none;
    color: inherit;
}

#oneliner {
    position: absolute;
    bottom: 2%;
    left: 2%;
    background: rgba(0, 0, 0, 0);
    color: yellow;
    font-size: small;
    font-weight: 500;
}

#howmany {
    display: none;
    position: absolute;
    top: 20px;
    left: 20px;
    background: rgba(128, 128, 128, .2);
    border: 1px dotted white;
    border-radius: 1rem;
    color: yellow;
    font-family: 'Courier New', Courier, monospace;
    font-weight: 600;
    /* width: 500px;
    height: 500px; */
    text-align: center;
    padding: 60px;
}

#howmany p {
    margin: 2ex;
}

#howmany input {
    width: 6ex;
    height: 3ex;
    padding: .5ex;
    border-radius: 9px;
    text-align: right;
    background: rgba(0,0,0,.5);
    color: yellow;
}

#howmany input[type=button] {
    width: 10ex;
    height: 3em;
    text-align: center;
}

#howmany input[type=button]:hover {
    background-color: rgba(128,128,128,.5);
}